all : mkgwn.exe mkgwn

mu21k_hd.obj : mu21k_hd.asm rtdsp.h
 asm21k mu21k_hd.asm

020_hdr.obj : mu21k_hd.obj
 copy mu21k_hd.obj 020_hdr.obj

sendout.o : sendout.c ez21kc.ach rtdsp.h
 g21k -O2 -Wall -c -a ez21kc.ach sendout.c

getinput.o : getinput.c ez21kc.ach
 g21k -O2 -Wall -c -a ez21kc.ach getinput.c

mkgwn.o : mkgwn.c filter.h ez21kc.ach
 g21k -O2 -Wall -c -a ez21kc.ach mkgwn.c

filter.o : filter.c ez21kc.ach
 g21k -O2 -Wall -c -a ez21kc.ach filter.c

mkgwn.exe : mkgwn.o filter.o sendout.o getinput.o ez21kc.ach 020_hdr.obj
 g21k -g -Wall -a ez21kc.ach -o mkgwn.exe mkgwn.o filter.o sendout.o getinput.o

mkgwn : mkgwn.exe
 ice21k -a ez21kc -e mkgwn.exe

