all : equaliz.21k equaliz

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

equaliz.o : equaliz.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach equaliz.c

filter.o : filter.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach filter.c

equaliz.21k : equaliz.o filter.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -map -Wall -a ezsharc.ach -o equaliz.21k equaliz.o filter.o sendout.o getinput.o ezset.obj

equaliz : equaliz.21k
 diag21k -pequaliz.21k

