all : g722maf.21k g722maf

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

g722_21f.o : g722_21f.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach g722_21f.c

g722maf.o : g722maf.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach g722maf.c

chkl.o : chkl.c
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach chkl.c

g722maf.21k : g722maf.o g722_21f.o chkl.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o g722maf.21k g722maf.o g722_21f.o chkl.o sendout.o getinput.o ezset.obj

g722maf : g722maf.21k
 diag21k -pg722maf.21k
