all : g722main.21k g722main

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

g722_21k.o : g722_21k.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach g722_21k.c

g722main.o : g722main.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach g722main.c

chkl.o : chkl.c
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach chkl.c

g722main.21k : g722main.o g722_21k.o chkl.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o g722main.21k g722main.o g722_21k.o chkl.o sendout.o getinput.o ezset.obj

g722main : g722main.21k
 diag21k -pg722main.21k
