all : mkgwn.21k mkgwn

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

mkgwn.o : mkgwn.c filter.h ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach mkgwn.c

filter.o : filter.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach filter.c

mkgwn.21k : mkgwn.o filter.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o mkgwn.21k mkgwn.o filter.o sendout.o getinput.o ezset.obj

mkgwn : mkgwn.21k
 diag21k -pmkgwn.21k

