all : mu21k.21k mu21k

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

mu21k.o : mu21k.c ezsharc.ach song.h rtdspc.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach mu21k.c

note.o : note.c ezsharc.ach rtdspc.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach note.c

mu21k.21k : mu21k.o note.o ezsharc.ach ezset.obj 060_hdr.obj sendout.o
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o mu21k.21k mu21k.o note.o sendout.o ezset.obj

mu21k : mu21k.21k
 diag21k -pmu21k.21k

