all : mulaw.21k mulaw

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

mulaw.o : mulaw.c ezsharc.ach mu.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach mulaw.c

mulaw.21k : mulaw.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -Wall -a ezsharc.ach -o mulaw.21k mulaw.o sendout.o getinput.o ezset.obj

mulaw : mulaw.21k
 diag21k -pmulaw.21k
