all : rfast21.21k rfast21

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach rtdsp.h
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

getinput.o : getinput.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach getinput.c

rfast21.o : rfast21.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach rfast21.c

rfast21.21k : rfast21.o sendout.o getinput.o ezsharc.ach ezset.obj 060_hdr.obj
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o rfast21.21k rfast21.o sendout.o getinput.o ezset.obj

rfast21 : rfast21.21k
 diag21k -prfast21.21k

