#include <stdlib.h>
#include "rtdspc.h"

/* Main program for g722 encode and decode demo for 210X0 */

    extern int encode(float,float);
    extern void decode(int);
    extern void reset();

/* outputs of the decode function */
    extern float xout1,xout2;

void main()
{
    int i,j;
    float t1,t2;

    init_evm();                 /* INITIALIZE EVALUATION MODULE PARAMETERS   */

/* reset, initialize required memory */
    reset();

/* note: the g722 standard calls for 16 KHz for voice operation */
    while(1) {
        t1=getinput();
        t2=getinput();

        j=encode(t1,t2);
        decode(j);

        sendout(xout1);
        sendout(xout2);
    }
}
