/* real-time DSP C code include file for C30 */

#define SAMPLE_RATE 15.428e3

#define PI 3.14159265358979323846

/* COMPLEX STRUCTURE */

typedef struct {
    float real, imag;
} COMPLEX;

/* function prototypes for fft and filter functions */
    extern void fft(COMPLEX *,int);
    extern float fir_filter(float input,float *coef,int n,float *history);
    extern float iir_filter(float input,float *coef,int n,float *history);
    extern float gaussian();

    extern float getinput(void);
    extern void sendout(float),flush();
