/* This program load the MU32C.EXE program using the CAC DSP32C
source level debuger D3BUG */

#include <stdio.h>
#include <dsputil.h>

#define SIOC 0x30e
#define SET_SIOC(x) outp(SIOC,(x))

main(int argc,char *argv[])
{
    char *name_ptr;
    char file_name[50];

    if (argc > 1)
        name_ptr = argv[1];
    else
    {
        printf("Enter DSP32c executable file name:\n");
        gets(file_name);
        name_ptr = file_name;
    }

    /* SET_SIOC(1); */

    if (!emu3init(name_ptr,0))
    {   printf("emu3init error\n");
        exit(0);
    }
    
    emu3view();

    /* SET_SIOC(3); */
}
