all : mkgwn

getinput.o : getinput.c
 d3cc -c -Q -DKHZ16 -DDBDADA -g  getinput.c

sendout.o : sendout.c
 d3cc -c -Q -DKHZ16 -DDBDADA -g  sendout.c

sendstrt.o : sendstrt.s
 d3as -Q -DKHZ16 -DDBDADA  sendstrt.s

mkgwn.o : mkgwn.c
 d3cc -c -Q -g mkgwn.c

filter.o : filter.c
 d3cc -c -Q -g filter.c

mkgwn : mkgwn.o filter.o sendout.o getinput.o sendstrt.o sendout.o sendout.map
 d3cc -Q -g -o mkgwn -m sendout.map -s sendstrt.o mkgwn.o filter.o sendout.o getinput.o -lm -lap
