/* real-time DSP C code include file for DSP32C */

#define SAMPLE_RATE 16e3

#define PI 3.14159265358979323846

/* function prototypes for fft and filter functions */
    extern float fir_filter();
    extern float iir_filter();
    extern float gaussian();

/* prototypes for i/o functions */
    float getinput();
    void sendout();
    void flush();
    void out_int_enable();
    void in_int_enable();
    void int_disable();
