#include <stdlib.h>
#include <stdio.h>
#include "wavfmt.h"
#include "rtdspc.h"

/* WAV2MAT - utility program to convert RIFF *.WAV format files
             to MATLAB *.MAT format files
*/

void main(int argc,char **argv)
{
    long int i;
    FILE *out;
    float x;

    if(argc != 2) {printf("\nWAV2MAT <matout>\n"); exit(1);}

    out = fopen(argv[1],"wb");
    if(!out) exit(1);     /* bad filename */

    x = getinput();

/* float data */
    i = 10;
    fwrite(&i,sizeof(long int),1,out);
    fwrite(&number_of_samples,sizeof(long int),1,out);
    i = 1;
    fwrite(&i,sizeof(long int),1,out);
/* complex data flag */
    i = 0;
    fwrite(&i,sizeof(long int),1,out);
    i = 2;
    fwrite(&i,sizeof(long int),1,out);
    fwrite("t",2*sizeof(char),1,out);

    for(i = 0 ; i < (number_of_samples-1) ; i++) {
      fwrite(&x,sizeof(float),1,out);
      x = getinput();
    }
    fwrite(&x,sizeof(float),1,out);
}
