all : wavetab.21k wavetab

sharc_hd.obj : sharc_hd.asm rtdsp.h
 asm21k -ADSP21060 sharc_hd.asm

060_hdr.obj : sharc_hd.obj
 copy sharc_hd.obj 060_hdr.obj

ezset.obj : ezset.asm
 asm21k -ADSP21060 ezset.asm

sendout.o : sendout.c ezsharc.ach
 g21k -mADSP21062 -O2 -Wall -c -a ezsharc.ach sendout.c

wavetab.o : wavetab.c ezsharc.ach gwave.h
 g21k -mADSP21062 -g -Wall -c -a ezsharc.ach wavetab.c

wavetab.21k : wavetab.o ezsharc.ach ezset.obj 060_hdr.obj sendout.o
 g21k -mADSP21062 -g -Wall -a ezsharc.ach -o wavetab.21k wavetab.o sendout.o ezset.obj

wavetab : wavetab.21k
 diag21k -pwavetab.21k

