-c
vecs.obj
c30.obj
send_c30.obj
-l rts30.lib
-heap 8192

MEMORY
{
   VECS:   org = 0        len = 0x40       /* RESERVED VECTOR LOCATIONS */
   SRAM:   org = 0x40     len = 0x7FC0     /* PRIMARY BUS SRAM (32K)    */
   RAM :   org = 0x809800 len = 0x800      /* INTERNAL RAM (2K)         */
}

SECTIONS
{
   .text:   {} > SRAM                      /* CODE                      */
   .cinit:  {} > SRAM                      /* C INITIALIZATION TABLES   */
   .bss:    {} > SRAM                      /* C VARIABLES               */
   .sysmem: {} > SRAM                      /* malloc memory   */
   .stack:  {} >  RAM                      /* STACK (MODIFIED TO 64 WDS)*/
   .data:   {} >  RAM                      /* ASSEMBLY CODE CONSTANTS   */
   vecs:    {} > VECS                      /* RESET/INTERRUPT VECTORS   */
}
