#include <macros.h>
#include "rtdspc.h"
#include "mu.h"

/**************************************************************************

MULAW.C - PROGRAM TO DEMONSTRATE MU LAW SPEECH COMPRESSION

*************************************************************************/

    int bypass = 0;
    int i,j,k,out;

void main()
{
    for(;;) {
        i = (int) getinput();

/* encode 14 bit linear input to mu-law */
        j = abs(i);
        if(j > 0x1fff) j = 0x1fff;
        k = invmutab[j >> 1];
        if(i >= 0) k |= 0x80;
        out = mutab[k];

/* decode the 8 bit mu-law and send out */
        if(bypass)
             sendout((float)i);
        else
             sendout((float)out);
    }
}
