all : rfast32

getinput.o : getinput.c
 d3cc -c -Q -DKHZ16 -DDBDADA -g  getinput.c

sendout.o : sendout.c
 d3cc -c -Q -DKHZ16 -DDBDADA -g  sendout.c

sendstrt.o : sendstrt.s
 d3as -Q -DKHZ16 -DDBDADA  sendstrt.s

rfast32.o : rfast32.c mu.h
 d3cc -c -Q -DKHZ16 -DDBDADA -g rfast32.c

ffta.o : ffta.s
 d3cc -c -Q ffta.s

rfast32 : rfast32.o ffta.o sendout.o getinput.o sendstrt.o sendout.map
 d3cc -Q -g -o rfast32 -m sendout.map -s sendstrt.o rfast32.o ffta.o sendout.o getinput.o -lm
