#include <stdlib.h>
#include "rtdspc.h"

/* Main program for g722 encode and decode demo for PC */

    extern int encode(int,int);
    extern void decode(int);
    extern void reset();

/* outputs of the decode function */
    extern int xout1,xout2;

void main()
{
    int i,j,t1,t2;
    float xf1 = 0.0;
    float xf2 = 0.0;

/* reset, initialize required memory */
    reset();

/* note: the g722 standard calls for 16 KHz for voice operation */
    while(1) {
        t1=0.25*getinput();
        t2=0.25*getinput();

        j=encode(t1,t2);
        decode(j);

/*      printf("\n%5d %5d %3d %5d %5d",t1,t2,j,xout1,xout2);*/

        xf1 = (float)xout1;
        sendout(3.5*xf1);
        xf2 = (float)xout2;
        sendout(3.5*xf2);
    }
}
